Subject: Re: bug#25122: 24.5; function describe-variable hangs on large variables

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 12 Mar 2017 06:57:41 +0100

[email-masked] writes:

> Perhaps we could run the printing in a thread

This is a good idea.

> and suspend it after printing X lines.

Instead just print something like "Computing foo value ..." and let finish
the thread, letting user reading and moving cursor in docstring while it
finishes, once done save-excursion and send message "Computing foo value
done".

> Then hitting RET on "..."  would just print another X lines.

I think like Drew that this would be annoying.

That said, what's the reason of choosing the slower approach to compute
value (in a thread or not) instead of using the approach described in
the advice I sent here which takes 1s to compute load-history instead of
3mn ? (I use this advice since one year now without any problems).

-- 
Thierry